Imports System

Namespace ASPNET.StarterKit.TimeTracker.BusinessLogicLayer

    '*********************************************************************
    '
    ' Category Class
    '
    ' The Category Class represents a single category for a project.
    '
    '*********************************************************************

    Public Class Category
        Private _abbreviation As String
        Private _categoryID As Integer
        Private _estDuration As Decimal
        Private _name As String
        Private _projectID As Integer

        Public Property Abbreviation() As String
            Get
                Return _abbreviation
            End Get
            Set(ByVal Value As String)
                _abbreviation = Value
            End Set
        End Property

        Public Property CategoryID() As Integer
            Get
                Return _categoryID
            End Get
            Set(ByVal Value As Integer)
                _categoryID = Value
            End Set
        End Property

        Public Property EstDuration() As Decimal
            Get
                Return _estDuration
            End Get
            Set(ByVal Value As Decimal)
                _estDuration = Value
            End Set
        End Property

        Public Property Name() As String
            Get
                Return _name
            End Get
            Set(ByVal Value As String)
                _name = Value
            End Set
        End Property

        Public Property ProjectID() As Integer
            Get
                Return _projectID
            End Get
            Set(ByVal Value As Integer)
                _projectID = Value
            End Set
        End Property
    End Class 'Category
End Namespace 'ASPNET.StarterKit.TimeTracker.BusinessLogicLayer